Bug 1457997 (CVE-2017-7512) - CVE-2017-7512 3scale AMP: validation bypass in oauth
Summary: CVE-2017-7512 3scale AMP: validation bypass in oauth
Status: CLOSED ERRATA
Alias: CVE-2017-7512
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170706,repor...
Keywords: Security
Depends On:
Blocks: 1457362
TreeView+ depends on / blocked
 
Reported: 2017-06-01 17:30 UTC by Chess Hazlett
Modified: 2017-07-06 18:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that RH-3scale AMP would permit creation of an access token without a client secret. An attacker could use this flaw to circumvent authentication controls and gain access to restricted APIs.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-06 18:42:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1712 normal SHIPPED_LIVE Important: Red Hat 3scale API Management Platform 2.0.0 security update 2017-07-06 21:25:45 UTC

Description Chess Hazlett 2017-06-01 17:30:47 UTC
It was found that RH-3scale would permit creation of an access token without a client secret. An attacker could use this flaw to circumvent authentication controls and gain access to restricted APIs.

Comment 3 Chess Hazlett 2017-06-30 16:46:49 UTC
Acknowledgments:

Name: Ryan Nauman (TruCode)

Comment 4 errata-xmlrpc 2017-07-06 17:15:56 UTC
This issue has been addressed in the following products:

  3scale AMP 2.0

Via RHSA-2017:1712 https://access.redhat.com/errata/RHSA-2017:1712


Note You need to log in before you can comment on or make changes to this bug.